SunsetProv.Dataset<-function(recipe, data){
   
  #fcst definition (Dataset+Datasubset)
  if(!is.null(data$fcst)){
    graph_fcst<-Prov.Dataset(recipe, data, type="fcst")
    graph_fcst<-Prov.DatasetSubset(recipe, data, graph_fcst)
    graph_fcst<-Prov.Reggriding(recipe, data, graph_fcst)
  }
  #hcst definition (Dataset+Datasubset)
  graph_hcst<-Prov.Dataset(recipe, data, type="hcst")
  graph_hcst<-Prov.DatasetSubset(recipe, data, graph_hcst)
  graph_hcst<-Prov.Reggriding(recipe, data, graph_hcst)

  #obs definition (Dataset+Datasubset)
  graph_obs<-Prov.Dataset(recipe, data, type="obs")
  graph_obs<-Prov.DatasetSubset(recipe, data, graph_obs)
  graph_obs<-Prov.Reggriding(recipe, data, graph_obs)

  if(!is.null(data$fcst)){
    graph<-my_union_graph(graph_fcst,graph_hcst,graph_obs)
    #parentnodename<-list(graph_fcst$parentnodename,graph_hcst$parentnodename,graph_obs$parentnodename)
  } else{
    graph<-my_union_graph(graph_hcst,graph_obs)
    #parentnodename<-list(graph_hcst$parentnodename,graph_obs$parentnodename)
  }
  
  graph<-list("graph"=graph)

  return(graph)
}